"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateCSS = generateCSS;

var _config = require("@inkline/config");

var _types = require("../types");

var _logger = require("@grozav/logger");

async function generateCSS(options) {
  try {
    const {
      config: configFile,
      ...configuration
    } = options;
    await (0, _config.build)({ ...configuration,
      configFile,
      extName: ".css"
    });

    _logger.Logger.success(_types.Commands.Generate.CSS.messages.success);
  } catch (error) {
    _logger.Logger.error(_types.Commands.Generate.CSS.messages.error);

    _logger.Logger.log(error);
  }
}