#! /usr/bin/env node
"use strict";

var _commander = require("commander");

var _chalk = _interopRequireDefault(require("chalk"));

var _types = require("./types");

var _commands = require("./commands");

var _package = _interopRequireDefault(require("./package.json"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_commander.program.name(_chalk.default.blue("inkline")).description(_package.default.description).version(_package.default.version);

_commander.program.command(_types.Commands.Init.name).description("Initialize Inkline and create a configuration file.").action(async (type, options) => {
  await (0, _commands.init)(options);
});

const generate = _commander.program.command("generate").description("Generate core and helper files for Inkline.");

generate.command(_types.Commands.Generate.CSS.name).description("Generate CSS variables based on your inkline configuration file.").option("-c, --config <path>", "Path to inkline configuration file.").option("-o, --outputDir <path>", "Path to output directory.").action(async options => {
  await (0, _commands.generateCSS)(options);
});
generate.command(_types.Commands.Generate.SCSS.name).description("Generate SCSS variables based on your inkline configuration file.").option("-c, --config <path>", "Path to inkline configuration file.").option("-o, --outputDir <path>", "Path to output directory.").action(async options => {
  await (0, _commands.generateSCSS)(options);
});

_commander.program.parse();